# Uses of Enum Class
javafx.stage.StageStyle

Packages that use StageStyle
Package
Description
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.
javafx.stage
Provides the top-level container classes for JavaFX content.

## Uses of StageStyle in javafx.scene.control

Methods in javafx.scene.control with parameters of type StageStyle
Modifier and Type
Method
Description
`final void`
Dialog.`initStyle(StageStyle style)`
Specifies the style for this dialog.

## Uses of StageStyle in javafx.stage

Methods in javafx.stage that return StageStyle
Modifier and Type
Method
Description
`final StageStyle`
Stage.`getStyle()`
Retrieves the style attribute for this stage.
`static StageStyle`
StageStyle.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static StageStyle[]`
StageStyle.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javafx.stage with parameters of type StageStyle
Modifier and Type
Method
Description
`final void`
Stage.`initStyle(StageStyle style)`
Specifies the style for this stage.
Constructors in javafx.stage with parameters of type StageStyle
Modifier
Constructor
Description
``
`Stage(StageStyle style)`
Creates a new instance of `Stage`.